<? include 'includes/header.php';?>  
<!--blog-->
<?php
$user_id = $_SESSION['user_id'] ?? null;
$feed_type = $_GET['feed'] ?? '';
?>
<main class="container mt-5">
<h2>Your Feed</h2><?php if(logged_in()){?>
    <div class="dropdown mb-3">
        <button class="btn btn-primary dropdown-toggle" type="button" id="feedDropdown" data-bs-toggle="dropdown" aria-expanded="false">
            <?= $feed_type === 'following' ? 'Following' : 'All Posts' ?>
        </button>
        <ul class="dropdown-menu" aria-labelledby="feedDropdown">
            <li><a class="dropdown-item" href="<?= ROOT ?>">All Posts</a></li>
            
            <li><a class="dropdown-item" href="<?= ROOT ?>/?feed=following">Following</a></li> 
            
        </ul>
    </div><?php } ?>
    <?php
            // If user selects "following" feed, show posts only from followed users
    if ($feed_type === 'following' && $user_id) {
        $feed = " AND users.id IN (SELECT following_id FROM followers WHERE follower_id = :user_id)";
    }
    else{
        $feed = '';
    }
    $query = "SELECT posts.*, categories.category, users.username , users.image as image_user,users.id as userid
    FROM posts JOIN categories ON posts.category_id = categories.id
    JOIN users ON posts.user_id = users.id
    WHERE posts.active = 1 $feed ORDER BY posts.id DESC;";
    $params = ($feed_type === 'following' && $user_id) ? ['user_id' => $user_id] : [];
    $result = query($query, $params);

    if($result){
        include 'includes/post-card.php';
    }
    else{
            echo '<div class="alert alert-danger">Post not found</div>';
            echo '<a href="'.ROOT.'" class="btn btn-primary">Back to posts</a>';
        }
        ?>
</main>
<?php
      $showModal = false; // Default
      // Example check: If username or profile picture is missing
      if(logged_in()){
        $ima = find('users',$_SESSION['user_id'],'image');
        if (empty($ima)) {
            $showModal = true;
        }
      }
      
    ?>

    <script>
      document.addEventListener("DOMContentLoaded", function() {
          <?php if ($showModal): ?>
              var profileModal = new bootstrap.Modal(document.getElementById('profileSetupModal'));
              profileModal.show();
              
              // Handle "Do It Later" button click
              document.getElementById('skipProfile').addEventListener('click', function() {
                  profileModal.hide();
                  localStorage.setItem('profileSkipped', 'true'); // Store in localStorage to prevent showing again
              });

              // Prevent modal from showing again if skipped
              if (localStorage.getItem('profileSkipped') === 'true') {
                  profileModal.hide();
              }
          <?php endif; ?>
      });
    </script>
<? include 'includes/footer.php';?>  

    
