<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
if (!isset($_SESSION['user_id'])) {
    echo json_encode(["error" => "Not logged in"]);
    exit();
}

$follower_id = $_SESSION['user_id'];
$following_id = $_POST['following_id'];

// Check if the user is already following
echo $checkQuery = "SELECT COUNT(*) as count FROM followers WHERE follower_id = $follower_id AND following_id = $following_id";
$exists = query_row($checkQuery);

if ($exists['count'] > 0) {
    echo json_encode(["error" => "Already following this user"]);
    exit;
}

if ($follower_id == $following_id) {
    echo json_encode(["error" => "You can't follow yourself"]);
    exit();
}

try {
    $query = "INSERT INTO followers (follower_id, following_id) VALUES (:follower_id, :following_id)";
    $result = query($query, ['follower_id' => $follower_id, 'following_id' => $following_id]);
    var_dump($result);
    if ($result) {
        echo json_encode(["success" => "Followed successfully"]);
    } else {
        echo json_encode(["error" => "Already following or error occurred"]);
    }
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}

?>
