
<html lang="en" data-bs-theme="auto">
<script src="<?=ROOT?>/assets/js/color-modes.js"></script>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <title><?=APP_NAME?></title>
    <link rel="icon" type="image/x-icon" href="<?=ROOT?>/assets/images/blogger.png  ">
    <link rel="canonical" href="https://getbootstrap.com/docs/5.3/examples/headers/">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@docsearch/css@3">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    

    <script src="<?=ROOT?>/assets/js/bootstrap/bootstrap.bundle.min.js"></script>
    <link href="<?=ROOT?>/assets/css/bootstrap/bootstrap.min.css" rel="stylesheet">

    <style>

      .b-example-divider {
        width: 100%;
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

       .nav {
        display: flex;
        flex-wrap: wrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
      }

      .btn-bd-primary {
        --bd-violet-bg: #712cf9;
        --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

        --bs-btn-font-weight: 600;
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--bd-violet-bg);
        --bs-btn-border-color: var(--bd-violet-bg);
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: #6528e0;
        --bs-btn-hover-border-color: #6528e0;
        --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
        --bs-btn-active-color: var(--bs-btn-hover-color);
        --bs-btn-active-bg: #5a23c8;
        --bs-btn-active-border-color: #5a23c8;
      }

      .bd-mode-toggle {
        z-index: 1500;
      }

      .bd-mode-toggle .dropdown-menu .active .bi {
        display: block !important;
      }

        .card-body{
         position: relative;
        }
        .card-img-top {
            height: auto;
            object-fit: cover;
        }

        .category {
            position: absolute;
            top: 10px;
            left: 10px;
            background-color: orange;
            color: white;
            padding: 5px 10px;
            font-size: 14px;
            text-transform: uppercase;
            border-radius: 5px;
        }

        .profile-img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            object-fit: cover;
        }

        .author a {
            text-decoration: none;
            color: orange;
            font-weight: bold;
        }

        .info {
            font-size: 14px;
            color: #888;
        }

        .info i {
            margin-right: 5px;
            color: #555;
        }
        .post-image {
          width: 100%;
          height: auto;  /* Adjust this height as needed */
          object-fit: cover; /* Ensures the image fills the space properly */
          border-top-left-radius: 8px;
          border-top-right-radius: 8px;
      }

      .card {
          height: 100%; /* Ensures all cards have the same height */
          display: flex;
          flex-direction: column;
      }

      .card-body {
          flex-grow: 1; /* Makes sure the content expands properly */
          padding: 1.25rem;
      }
          .category-badge {
            font-size: 0.8rem;
            font-weight: bold;
            opacity: 0.9;
        }
        .like-btn {
            border: none;
            background: none;
            cursor: pointer;
            font-size: 1.5rem;
        }
        .like-btn .bi-heart-fill {
            color: red; /* Filled heart color */
        }
        .nav-link.active {
            color:#0d6efd !important; /* Change active color */
            font-weight: bold; /* Make it stand out */
        }

        :hover{
            color:#0d6efd !important; /* Change hover color */
            transition: color 0.3s ease-in-out;
        }

    </style>

    
    <!-- Custom styles for this template -->
    <link href="<?=ROOT?>/assests/css/headers.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.13/cropper.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.13/cropper.min.css">
<script>
  document.addEventListener("DOMContentLoaded", function () {
    document.querySelectorAll(".share-btn").forEach(button => {
        button.addEventListener("click", function () {
            let postUrl = this.getAttribute("data-url");
            let shareText = "Check out this awesome post!";

            // Social Media Share Buttons with Icons
            let shareOptions = `
                <div class="d-flex flex-column align-items-center">
                    <a href="https://www.facebook.com/sharer/sharer.php?u=${encodeURIComponent(postUrl)}" target="_blank" class="btn btn-primary btn-sm w-100 my-1 d-flex align-items-center">
                        <i class="bi bi-facebook fs-5 me-2"></i> Share on Facebook
                    </a>
                    <a href="https://twitter.com/intent/tweet?url=${encodeURIComponent(postUrl)}&text=${encodeURIComponent(shareText)}" target="_blank" class="btn btn-info btn-sm w-100 my-1 d-flex align-items-center">
                        <i class="bi bi-twitter fs-5 me-2"></i> Share on Twitter
                    </a>
                    <a href="https://api.whatsapp.com/send?text=${encodeURIComponent(postUrl)}" target="_blank" class="btn btn-success btn-sm w-100 my-1 d-flex align-items-center">
                        <i class="bi bi-whatsapp fs-5 me-2"></i> Share on WhatsApp
                    </a>
                    <button class="btn btn-secondary btn-sm w-100 my-1 d-flex align-items-center copy-link-btn" data-url="${postUrl}">
                        <i class="bi bi-link-45deg fs-5 me-2"></i> Copy Link
                    </button>
                </div>
            `;

            // Remove any existing modal before creating a new one
            let existingModal = document.getElementById("shareModal");
            if (existingModal) {
                existingModal.remove();
            }

            // Create the modal with fade-in animation
            let shareModal = document.createElement("div");
            shareModal.innerHTML = `
                <div class="modal fade show" id="shareModal" tabindex="-1" style="display: block; background: rgba(0,0,0,0.5);">
                    <div class="modal-dialog modal-dialog-centered animate__animated animate__zoomIn">
                        <div class="modal-content border-0 shadow-lg rounded">
                            <div class="modal-header bg-primary text-white">
                                <h5 class="modal-title"><i class="bi bi-share-fill me-2"></i> Share Post</h5>
                                <button type="button" class="btn-close text-white" id="closeModal"></button>
                            </div>
                            <div class="modal-body text-center">
                                ${shareOptions}
                            </div>
                        </div>
                    </div>
                </div>
            `;
            document.body.appendChild(shareModal);

            // Add fade-out animation when closing
            document.getElementById("closeModal").addEventListener("click", function () {
                let modal = document.getElementById("shareModal");
                modal.classList.remove("animate__zoomIn");
                modal.classList.add("animate__zoomOut");
                setTimeout(() => modal.remove(), 500);
            });

            // Copy link functionality
            document.querySelector(".copy-link-btn").addEventListener("click", function () {
                navigator.clipboard.writeText(this.getAttribute("data-url")).then(() => {
                    let copyBtn = this;
                    copyBtn.innerHTML = '<i class="bi bi-check-circle-fill text-success me-2"></i> Link Copied!';
                    setTimeout(() => copyBtn.innerHTML = '<i class="bi bi-link-45deg fs-5 me-2"></i> Copy Link', 2000);
                });
            });
        });
    });
});
</script>
  </head>
  <body>
    <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
      <symbol id="check2" viewBox="0 0 16 16">
        <path d="M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0z"></path>
      </symbol>
      <symbol id="circle-half" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 0 8 1v14zm0 1A8 8 0 1 1 8 0a8 8 0 0 1 0 16z"></path>
      </symbol>
      <symbol id="moon-stars-fill" viewBox="0 0 16 16">
        <path d="M6 .278a.768.768 0 0 1 .08.858 7.208 7.208 0 0 0-.878 3.46c0 4.021 3.278 7.277 7.318 7.277.527 0 1.04-.055 1.533-.16a.787.787 0 0 1 .81.316.733.733 0 0 1-.031.893A8.349 8.349 0 0 1 8.344 16C3.734 16 0 12.286 0 7.71 0 4.266 2.114 1.312 5.124.06A.752.752 0 0 1 6 .278z"></path>
        <path d="M10.794 3.148a.217.217 0 0 1 .412 0l.387 1.162c.173.518.579.924 1.097 1.097l1.162.387a.217.217 0 0 1 0 .412l-1.162.387a1.734 1.734 0 0 0-1.097 1.097l-.387 1.162a.217.217 0 0 1-.412 0l-.387-1.162A1.734 1.734 0 0 0 9.31 6.593l-1.162-.387a.217.217 0 0 1 0-.412l1.162-.387a1.734 1.734 0 0 0 1.097-1.097l.387-1.162zM13.863.099a.145.145 0 0 1 .274 0l.258.774c.115.346.386.617.732.732l.774.258a.145.145 0 0 1 0 .274l-.774.258a1.156 1.156 0 0 0-.732.732l-.258.774a.145.145 0 0 1-.274 0l-.258-.774a1.156 1.156 0 0 0-.732-.732l-.774-.258a.145.145 0 0 1 0-.274l.774-.258c.346-.115.617-.386.732-.732L13.863.1z"></path>
      </symbol>
      <symbol id="sun-fill" viewBox="0 0 16 16">
        <path d="M8 12a4 4 0 1 0 0-8 4 4 0 0 0 0 8zM8 0a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 0zm0 13a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 13zm8-5a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2a.5.5 0 0 1 .5.5zM3 8a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2A.5.5 0 0 1 3 8zm10.657-5.657a.5.5 0 0 1 0 .707l-1.414 1.415a.5.5 0 1 1-.707-.708l1.414-1.414a.5.5 0 0 1 .707 0zm-9.193 9.193a.5.5 0 0 1 0 .707L3.05 13.657a.5.5 0 0 1-.707-.707l1.414-1.414a.5.5 0 0 1 .707 0zm9.193 2.121a.5.5 0 0 1-.707 0l-1.414-1.414a.5.5 0 0 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .707zM4.464 4.465a.5.5 0 0 1-.707 0L2.343 3.05a.5.5 0 1 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .708z"></path>
      </symbol>
    </svg>

    <div class="dropdown position-fixed bottom-0 end-0 mb-3 me-3 bd-mode-toggle">
      <button class="btn btn-bd-primary py-2 dropdown-toggle d-flex align-items-center" id="bd-theme" type="button" aria-expanded="false" data-bs-toggle="dropdown" aria-label="Toggle theme (auto)">
        <svg class="bi my-1 theme-icon-active" width="1em" height="1em"><use href="#circle-half"></use></svg>
        <span class="visually-hidden" id="bd-theme-text">Toggle theme</span>
      </button>
      <ul class="dropdown-menu dropdown-menu-end shadow" aria-labelledby="bd-theme-text">
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="light" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#sun-fill"></use></svg>
            Light
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="dark" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#moon-stars-fill"></use></svg>
            Dark
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center active" data-bs-theme-value="auto" aria-pressed="true">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#circle-half"></use></svg>
            Auto
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
      </ul>
    </div>


 <!-- Profile Setup Modal -->
<div id="profileSetupModal" class="modal fade" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Set Up Your Image </h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body text-center">
        <p>Complete your profile now or do it later.</p>
        <a href="<?=ROOT?>/user/user/edit" class="btn btn-primary">Set Up Profile</a>
        <button class="btn btn-secondary" id="skipProfile">Do It Later</button>
      </div>
    </div>
  </div>
</div>

<?php
$current_page = trim(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH), "/");
?>

<nav class="navbar navbar-expand-lg bg-body-tertiary shadow-sm rounded">
    <div class="container">
        <!-- Logo -->
        <a class="navbar-brand fw-bold text-primary" href="<?=ROOT?>">
            <img src="<?=ROOT?>/assets/images/blogger.png" alt="Logo" class="rounded-circle shadow-sm me-2" 
                 style="width: 45px; height: 45px; object-fit: cover;">
            Post-It
        </a>

        <!-- Navbar Toggle -->
        <button class="navbar-toggler border-0" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Navbar Content -->
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link fw-semibold <?= ($current_page == '' || $current_page == 'index.php') ? 'active' : '' ?>" href="<?=ROOT?>">
                        <i class="bi bi-house-door"></i> Home
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-semibold <?= $current_page == 'posts' ? 'active' : '' ?>" href="<?=ROOT?>/posts">
                        <i class="bi bi-file-earmark-text"></i> Post
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-semibold <?= $current_page == 'contact' ? 'active' : '' ?>" href="<?=ROOT?>/contact">
                        <i class="bi bi-envelope"></i> Contact
                    </a>
                </li>

                <!-- Category Dropdown -->
                <li class="nav-item dropdown">
                    <a href="#" class="nav-link dropdown-toggle fw-semibold" data-bs-toggle="dropdown">
                        <i class="bi bi-tags"></i> Categories
                    </a>
                    <ul class="dropdown-menu border-0 shadow-sm">
                        <?php
                        $query = "SELECT * FROM categories WHERE active=1";
                        $categories = query($query);
                        foreach ($categories as $category): ?>
                            <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$category['slug']?>"><?=$category['category']?></a></li>
                        <?php endforeach; ?>
                    </ul>
                </li>
            </ul>
        </div>

        <!-- Keep Search Bar and Profile Always Visible -->
        <div class="d-flex align-items-center">
            <!-- Search Bar -->
            <form class="d-flex me-3 mt-3" action="<?=ROOT?>/search" role="search">
                <input class="form-control me-2 rounded-pill" value="<?=$_GET['find'] ?? ''?>" name="find"  type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-primary rounded-pill" type="submit">
                    <i class="bi bi-search"></i>
                </button>
            </form>

            <!-- User Profile -->
            <?php if(logged_in()){
                $image_user = find('users', $_SESSION['user_id'], 'image');
                $role = find('users', $_SESSION['user_id'], 'role');
            } ?>

            <div class="dropdown">
                <a href="#" class="d-flex align-items-center text-decoration-none dropdown-toggle" data-bs-toggle="dropdown">
                    <img src="<?=get_image($image_user)?>" alt="User Image" class="rounded-circle border shadow-sm"
                         style="width: 40px; height: 40px; object-fit: cover;">
                </a>
                <ul class="dropdown-menu dropdown-menu-end shadow-sm">
                    <a class="dropdown-item" href="https://postit.zeal.lol/user/user/edit">
                    
                    <li class="dropdown-header text-center fw-bold"><img src="<?=get_image($image_user)?>" alt="User Image" class="rounded-circle border shadow-sm"
                    style="width: 40px; height: 40px; object-fit: cover;">    User Menu</li>
                    </a>
                    <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="<?= ($role == 'admin') ? '/admin/posts/add' : '/user/post/add'; ?>">
                        <i class="bi bi-plus-circle"></i> New Post
                    </a></li>
                    <li><a class="dropdown-item" href="<?=ROOT?>/profile/<?=$_SESSION['user_id']?>">
                        <i class="bi bi-person"></i> Profile
                    </a></li>
                    <li><a class="dropdown-item" href="<?=ROOT?>/admin">
                        <i class="bi bi-gear"></i> Admin
                    </a></li>
                    <li><hr class="dropdown-divider"></li>
                    <?php if(!logged_in()): ?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/login">
                        <i class="bi bi-box-arrow-right"></i> Login
                    </a></li>
                    <?php else : ?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/logout">
                        <i class="bi bi-box-arrow-right"></i> Logout
                    </a></li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
</nav>





<? 
if($url[0]=='home')
  include 'slider.php'?>


