<?php
if (!isset($_SESSION['user_id'])) {
    echo json_encode(["error" => "Not logged in"]);
    exit();
}

$follower_id = $_SESSION['user_id'];
$following_id = $_POST['following_id'];

$query = "DELETE FROM followers WHERE follower_id = :follower_id AND following_id = :following_id";
$result = query($query, ['follower_id' => $follower_id, 'following_id' => $following_id]);

if ($result) {
    echo json_encode(["success" => "Unfollowed successfully"]);
} else {
    echo json_encode(["error" => "Error unfollowing user"]);
}

?>
